import { BrowserModule } from '@angular/platform-browser';
import { ErrorHandler, NgModule } from '@angular/core';
import { IonicApp, IonicErrorHandler, IonicModule } from 'ionic-angular';
import { SplashScreen } from '@ionic-native/splash-screen';
import { StatusBar } from '@ionic-native/status-bar';

import { MyApp } from './app.component';
import { HomePage } from '../pages/home/home';

import { AngularFireModule } from "angularfire2";
import { AngularFireAuthModule } from "angularfire2/auth";
import { AngularFireDatabaseModule } from "angularfire2/database"
import { LoginPageModule } from '../pages/login/login.module';
import { SignupPageModule } from '../pages/signup/signup.module';
import { ResetPasswordPageModule } from '../pages/reset-password/reset-password.module';
import { DashPlayerPageModule } from '../pages/dash-player/dash-player.module';
import { DashDmPageModule } from '../pages/dash-dm/dash-dm.module';
import { CreatePjPageModule } from '../pages/create-pj/create-pj.module';
import { DashPjDmPageModule } from '../pages/dash-pj-dm/dash-pj-dm.module';
import { DashHistDmPageModule } from '../pages/dash-hist-dm/dash-hist-dm.module';
import { DashPjPjPageModule } from '../pages/dash-pj-pj/dash-pj-pj.module';
import { DashHistHistPageModule } from '../pages/dash-hist-hist/dash-hist-hist.module';
import { DashPjPageModule } from '../pages/dash-pj/dash-pj.module';

export const firebaseConfig = {
  apiKey: "AIzaSyArVKAsm9-O_nf7ikpXdxyfg2EkLZbAEeg",
    authDomain: "rolmasterpoo.firebaseapp.com",
    databaseURL: "https://rolmasterpoo.firebaseio.com",
    projectId: "rolmasterpoo",
    storageBucket: "rolmasterpoo.appspot.com",
    messagingSenderId: "480534058687"
}

@NgModule({
  declarations: [
    MyApp,
    HomePage
  ],
  imports: [
    BrowserModule,
    IonicModule.forRoot(MyApp),
    AngularFireModule.initializeApp(firebaseConfig),
    AngularFireAuthModule,
    AngularFireDatabaseModule,
    LoginPageModule,
    SignupPageModule,
    ResetPasswordPageModule,
    DashPlayerPageModule,
    DashDmPageModule,
    CreatePjPageModule,
    DashHistDmPageModule,
    DashPjDmPageModule,
    DashPjPjPageModule,
    DashHistHistPageModule,
    DashPjPageModule
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    HomePage
  ],
  providers: [
    StatusBar,
    SplashScreen,
    {provide: ErrorHandler, useClass: IonicErrorHandler}
  ]
})
export class AppModule {}
