import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, ModalOptions, ModalController } from 'ionic-angular';
import { DashPjPage } from '../dash-pj/dash-pj';

/**
 * Generated class for the DashPjDmPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-dash-pj-dm',
  templateUrl: 'dash-pj-dm.html',
})
export class DashPjDmPage {
  pjs = [
    {name: 'alan', race: 'humano', strength: 56, agi: 9, nivel: 99},
    {name: 'bruna', race: 'elfo', strength: 7, agi: 45, nivel: 8},
  ]

  constructor(
    public navCtrl: NavController,
    public navParams: NavParams,
    private modalCtrl: ModalController
  ) {
  }

  openModal(pj){
    const modalOption: ModalOptions = {
      enableBackdropDismiss:false
    };

    const modal = this.modalCtrl.create(DashPjPage, {name: pj.name, race: pj.race,strength:pj.strength,agi:pj.agi, nivel:pj.nivel},modalOption);
    modal.present();
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad DashPjDmPage');
  }

}
